What is the electronic dictionary?

An electronic dictionary is a program, which allows you to obtain several variants of translation for any word. The dictionaries may be oriented on different topics.

If you want to define more exactly the meanings of some words, you can use the electronic dictionaries developed by different companies (if they are installed on your computer). You can use the following electronic dictionaries:

  • Lingvo 6.0/6.5, 7.0 (developed by ABBYY (BIT) company)
  • Context 3.51, 4.0 (developed by Informatic company)
  • MultiLex 1.0, 2.0, 3.0/3.5 (developed by MediaLingva company).

During translation PROMT doesn't use these dictionaries. So, if some word is not present in the dictionaries of the machine translation system of the @PROMT Family, or you are not satisfied with its translation, you can open the electronic dictionary and view possible translations.

The electronic dictionaries are not included into the @PROMT Family distribution set and should be purchased separately.

The exception is PROMT Electronic Dictionary - an electronic dictionary which was specially developed on the basis of the specialized dictionaries developed by the PROMT company. The detailed information about the PROMT Electronic Dictionary can be found out from its own Help-system.


About PROMT Plug-In for Acrobat

PROMT Plug-In for Acrobat is a program from @PROMT Family that extends Adobe Acrobat 4.x-5.x and Adobe Acrobat Reader 4.x-5.x with the functions of text translation.

PROMT Plug-In for Acrobat is designed for translation of the preliminary selected text omitting its formatting. The translated text can be displayed in a separate translation window.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003 All rights reserved.


About File Translator

File Translator is a program from @PROMT Family intended for quick translation of several files in a batch mode.

Simple and convenient interface allows you to form a queue of files for translation and specify the files for saving the results of translation.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About Dictionary Editor

Dictionary Editor is an application intended for supplementing and editing the dictionaries of @PROMT Family machine translation systems.

The program allows you to enter a new word or a collocation into the dictionary, view the information about the existing word (collocation) in all the dictionaries of the system, change the grammatical information or the translations.

The program is intended for the users with different level of linguistic knowledge.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About Dictionary Editor Pro

Dictionary Editor Pro is a professional version of the Dictionary Editor program, designed for supplementing and editing dictionaries of @PROMT Family machine translation systems.

The program is intended for the users with high level of linguistic knowledge.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About Dictionary Services

Dictionary Services is a program designed for professional work with dictionaries of @PROMT Family machine translation systems.

With the help of Dictionary Services you may perform the following actions:

  • Check the correctness of any dictionary;
  • Count the statistics in the dictionary,
  • View and edit the properties of any dictionary or a group of dictionaries,
  • Compare two or more dictionaries,
  • Merge two dictionaries of identical direction of translation.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT Electronic Dictionary

PROMT Electronic Dictionary is a program from @PROMT Family, which allows to work with Electronic Dictionary base and gives access to the grammatical and morphological information for each selected word and to numerous translations from the dictionaries constituting the dictionary base.

PROMT Electronic Dictionary supports the following directions of translation:

  • English-Russian and Russian-English
  • French-Russian and Russian-French
  • German-Russian and Russian-German

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT for TRADOS

PROMT for TRADOS (P4T) is a program from @PROMT Family, which integrates the systems of Translation Memory (TM) class (TRADOS) with machine translation systems of @PROMT Family (PROMT).

Using PROMT for TRADOS enables to combine into a single technological chain the following processes of automated translation:

  • Search of conformity between segments of texts and their translations in the selected translation memory database (TRADOS);
  • Exporting segments not found in the selected database into the PROMT system for machine translation;
  • Importing segments translated in PROMT back into the TM for correcting and supplementing the database.

See PROMT and TRADOS intrinsic Helps for full information on these systems.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT Backup

PROMT Backup is an auxiliary program for making a reserve copy of the changeable data and settings of applications included into the machine translation system of @PROMT Family.

Support of the multi-user mode in Windows operating system allows you to save/restore information for all users of the translation system.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About Associated Memory Manager

Associated Memory Manager is a program from @PROMT Family designed for working with Associated Memory (AM) databases.

Using this program you may create, delete and manually edit AM databases for any direction of translation, as well as search for records in the AM databases.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT

PROMT is a program from @PROMT Family which is a professional translation environment and a powerful linguistic editor with a set of convenient facilities for customizing translation.

PROMT is a uniform translation environment, which allows you not only to translate the text, but also to edit the translation and update the dictionaries of all accessible directions of translation. This program allows you to fulfill both simple (quick) and complex (professional) text translation, and also to execute linguistic analysis of translation results which may be used later for improving the quality of translation of other texts of similar topics.

PROMT is a flexible system which can be customized for translating the definite text. For this purpose you can attach specialized dictionaries or create your own user dictionaries. A new convenient means for customizing the system is the possibility of selecting the topic template which allows the program to define automatically which dictionaries should be attached, which words should be left without translation (preserved), and how to work with special constructions (e.g., e-mail addresses, date and time, and so on). Wide opportunities of improving the quality of translation appear due to the use of Associated Memory databases, macros and customizable translation rules.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT Pro

PROMT Pro is a professional version of the PROMT program intended for the users with high level of linguistic qualification.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PromtE

PromtE is a program from @PROMT Family for translation of Web-pages in Microsoft Internet Explorer 5.x/6.x.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PromtX

PromtX is a program from @PROMT Family. This is a simplified editor-translator with the capability of automated translation of Windows Clipboard and the texts typed on the keyboard in any Windows application window.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About SdcMaker

SdcMaker is a program from @PROMT Family intended for creating the installation kits on the basis of user dictionaries and topic templates which can be later used for the distribution of dictionaries and topic templates.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About SmarTool

SmarTool is a program from @PROMT Family which embeds the functions of translation into the following applications of Microsoft Office 2000/XP:

  • Word 2000 / XP
  • Excel 2000 / XP
  • PowerPoint 2000 / XP
  • FrontPage 2000 / XP
  • Outlook 2000 / XP

The menu and the toolbar of translation are built into all main applications of Microsoft Office 2000 / XP, that allows you to receive translation of the open document directly in these applications.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About TDSetup

TDSetup is a program from @PROMT Family designed for installation and deinstallation of specialized dictionaries and topic templates.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT Terminology Manager (PROMT TerM)

PROMT Terminology Manager (PROMT TerM) is a program from @PROMT Family intended for automating the processes of extracting and processing the terminology.

PROMT TerM allows you to do the following:

  • Reduce the amount of manually processed terminology;

  • Use more accurate, logical and unified terminology;

  • Organize the processing of new terminology by integrating with the @PROMT Family (PROMT) machine translation system and TRADOS / TRANSIT Translation Memory systems.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


Associated Memory

Associated Memory (AM) in the @PROMT Family machine translation systems is a simplified system of Translation Memory class, embedded in the translation system. AM is intended for remembering repeated text segments along with their translation for subsequent using them while translating in the PROMT application.

The Associated Memory in the @PROMT Family system has a number of simplifications in comparison with full-function Translation Memory systems:

  • Simplified algorithm of segments selection (the segments are separated by punctuation marks);
  • Simplified algorithm of a segment search in the database (only 100% coincidence is searched for);
  • No terminology manager is used.

You may work with Associated Memory in two programs of @PROMT Family system:

  1. Associated Memory Manager

  2. PROMT.


Attached dictionaries

Attached dictionaries are those dictionaries accessible for the given direction of translation which are used during document translation. You can see the list of accessible dictionaries in the Dictionaries dialog box. The dictionaries which are attached for translation of the given document are marked with [image], and the order of dictionaries in this list corresponds to their priority. To attach / detach the dictionary from the list, check / uncheck the mark near the dictionary title. During translation process, the program searches for a translation equivalent in these dictionaries in the order in which they appear in the list. The last dictionary to search in is the General dictionary.

General dictionary is not displayed in the list of attached dictionaries but is always attached for each direction of translation.


Associated Memory database

Associated Memory (AM) database in the @PROMT Family machine translation systems is the database containing separate text fragments along with the corresponding translations of these fragments. In the process of translation the program automatically compares the source text with text fragments from the AM databases which are currently attached to the translation. In case of full coincidence the fragment translation is being taken from the AM database.

You can get the translations from the AM databases ONLY while working in the PROMT application.


Electronic Dictionary base

Electronic Dictionary (ED) base is the database containing the information from the dictionaries of the @PROMT Family machine translation systems intended for working in the PROMT Electronic Dictionary application.

The General base, installed together with the system, and the user ED bases, which may be created by the users, are supported by the system.

The General base contains the information from the General and specialized dictionaries of the appropriate directions of translation developed in the PROMT company. During work the General base can be supplemented by the information from the user dictionaries.

After the installation only the General base is accessible in the system.


"Electronic dictionaries" tab
("Attaching the external applications" dialog box)

This dialog box allows you to attach the electronic dictionary which you want to use while working in PROMT.

To attach the electronic dictionary:

  1. Select the name of the electronic dictionary which you want to attach to PROMT.
  2. Click the Customize button.

Usually the electronic dictionaries are not included into the @PROMT Family distribution set and should be purchased separately.

The exception is PROMT Electronic Dictionary - an electronic dictionary which was specially developed on the basis of the specialized dictionaries developed by the PROMT company. The detailed information about the PROMT Electronic Dictionary can be found out from its own Help-system.


"OCR programs" tab
 ("Attaching the external applications" dialog box)

This dialog box allows you to attach the program of Optical Character Recognition (OCR program), which you want to use while working in the given application. OCR programs are intended for entering the typed texts into the computer with the help of a scanner.

To attach the OCR program:

  1. Specify the name of the OCR program which you want to attach to the given application.
  2. Click the Customize button.

Usually the OCR programs are not included into the @PROMT Family distribution set and should be purchased separately.


"Spell checking programs" tab
 ("Attaching the external applications" dialog box)

This dialog box allows you to attach the programs of spell checking which you want to use while working in PROMT.

To attach the programs of spell checking:

  1. Select the source language, for which you want to use the spell checking program while working in PROMT.
  2. Click on the Change button to select the spell checking program and to specify the custom dictionary.

Usually the spell checking programs are not included into the @PROMT Family distribution set and should be purchased separately.

You can attach different spell checking programs for different source languages.


"Specify the program and the user dictionary" dialog

"Specify the program and the dictionary" dialog box

This dialog box allows you to select the spell checking program and to specify the custom dictionary which should be used while checking the spelling.

  1. Select the spell checking program which supports the previously defined source language.
  2. Click the Browse button to specify the custom dictionary which may be used for adding new words while checking the spelling.

You can attach different spell checking programs for different source languages.


"Spell checking options" dialog box

This dialog box allows you to customize the process of spell checking.

Options in the Ignore field:

Words in UPPERCASE | Skips the spell checking of words written in uppercase.
Words with numbers | Skips the spell checking of words that contain numbers.
Repeated words | Does not consider the repeating of identical words as an error.

Options in the Suggest variants field:

Always suggest | Always shows the list of alternatives.
From the Main dictionary only | In the list of alternatives shows the words only from the main dictionary.

In the Custom Dictionary field the name of the custom dictionary is displayed which may be used for adding new words while checking the spelling.

To specify the custom dictionary, click the Change button in the Custom Dictionary field.


"Spell checking options" dialog box

This dialog box allows you to customize the process of spell checking.

Options in the Ignore field:

Words in UPPERCASE | Skips the spell checking of words written in uppercase.
Words with numbers | Skips the spell checking of words that contain numbers.
Repeated words | Does not consider the repeating of identical words as an error.

Options in the Suggest variants field:

Always suggest | Always shows the list of alternatives.
From the Main dictionary only | In the list of alternatives shows the words only from the main dictionary.


General dictionary

General dictionary is the main dictionary of the machine translation system, which contains common lexicon for the certain direction of translation. Each direction of translation has its own General dictionary which is delivered with the system. The General dictionary is always attached during translation.

General dictionary is closed to the users, i.e. it can't be modified. But you can open an entry from the General dictionary, modify it and then store in your own user dictionary.


About PROMT company

PROMT company (PROMT Ltd., Russia) is the leading provider of innovative machine translation technologies (MT). It is the acknowledged researcher in the field of natural languages processing. The powerful combination of latest achievements in linguistics and perfection of technological process ensures the high quality of its systems.

The company’s objective is to create the software that can help in overcoming the language barrier. In the recent years the PROMT company has been emphasizing online translation for the Internet, fast expansion of which is limited by the world’s linguistic diversity.

PROMT company is the author of the machine translation systems of the @PROMT Family. These systems provide the full range of translation solutions which are intended to meet the requirements of different groups of users.

For simplification of work in the Internet and for popularization of the modern linguistic methods developed by the company, the PROMT company supports the free-of-charge server of translations (http://www.translate.ru).

@promt is a trademark owned by PROMT Ltd. The name "PROMT" which appears in this program is a textual representation of the @promt trademark. Other brands and product names are trademarks or registered trademarks of their respective owners.

The detailed information about the company and its products can be found out on the Web-site of the PROMT company.

Address: | 61, Vyborgskaya emb., Saint-Petersburg, Russia, 197342
Phone: | +7-(812)-245-16-06
Fax: | +7-(812)-327-44-83
E-mail: | support@promt.ru (Technical Support Service)
 | common@promt.ru (Commercial Department)
WWW: | http://www.e-promt.com/
 | http://www.translate.ru/


About @PROMT Family

@PROMT Family is a new generation of machine translation programs, in which the most advanced linguistic technologies of the PROMT company (PROMT Ltd.) are implemented. In the basis of the @PROMT Family products lies the technology of automated translation with the use of Associated Memory databases and specialized linguistic editor. Owing to unique opportunities of linguistic customization, the software products of the @PROMT Family provide high quality of translating documents, e-mail messages and Web-sites.

@PROMT Family set of programs is intended to be used in Windows XP, Windows 2000, Windows NT 4.0 and Windows 98/Me environments.

The programs provide accurate text translation, considering syntactic, morphological and semantic links. They possess the flexible means to easily customize the systems for translating texts in different topics.

@PROMT Family machine translation systems provide full range of solutions for translation and are intended for satisfying the needs of different user groups.

@PROMT Family includes the following main applications:

  • PROMT is a professional translation environment, a powerful text processor with a wide set of functions for customizing the translation;
  • PROMT Pro is a professional version of the PROMT program intended for the users with high level of linguistic qualification;
  • Dictionary Editor is an application for creating and editing user dictionaries;
  • Dictionary Editor Pro is a professional version of the Dictionary Editor program intended for the users with high level of linguistic qualification;
  • PROMT Electronic Dictionary is an electronic dictionary containing the whole dictionary base of the specialized dictionaries developed by the PROMT company;
  • SmarTool is a tool implementing translation functions in the applications of Microsoft Office 2000/XP (Word, Excel, PowerPoint, FrontPage, Outlook);
  • PromtX is a simplified editor-translator with capability of automated translation of Windows Clipboard and the texts typed on the keyboard in any Windows application;
  • File Translator is an application for batch translation of files;
  • PromtE is a module for translation of Web-pages in Microsoft Internet Explorer 5.x/6.x;
  • TDSetup is a program for installation of specialized dictionaries and topic templates;
  • Associated Memory Manager is a manager for Associated Memory databases;
  • PROMT Backup is a program providing creating and restoring archive copies of all user data in the system;
  • PROMT Plug-in for Acrobat is a module implementing functions of translation of PDF documents in Adobe Acrobat 4.x-5.x and Adobe Acrobat Reader 4.x-5.x;
  • Dictionary Services is a set of tools for professional work with dictionaries: getting statistics, comparing, merging dictionaries;
  • SdcMaker is a program for making distribution kits of specialized dictionaries and topic templates;
  • PROMT Terminology Manager is a tool for automating the processes of extracting and managing terminology;
  • PROMT for TRADOS is a tool for integrating the systems of Translation Memory class (TRADOS) with @PROMT Family machine translation systems.

On the basis of @PROMT Family programs the PROMT company produces numerous software products.

For detailed information about each application included into @PROMT Family, see Help system of the given application and the Web-site of the PROMT company.

Copyright © PROMT Ltd., 2003. All rights reserved.


Specialized dictionary

Specialized dictionary in the machine translation systems is a dictionary intended for the extension of dictionary database and customizing it for some specific domain. Using the specialized dictionaries you can get more qualitative translation of texts on different topics.

Specialized dictionaries usually are not included into the installation set but may be purchased separately.

Specialized dictionary can't be edited. But you can open an entry from the specialized dictionary, modify it and then save in your own user dictionary.

Specialized dictionaries can be included or removed from the system ONLY by the special Installation of Specialized Dictionaries and Topic Templates program.


Translation Memory (TM) system

Translation Memory (TM) system is a database that stores all translated sentences (segments) along with their source language equivalents. These language segment pairs are referred to as translation units. The database stores these translation units in an artificial neural network. This neural network provides fast and efficient searching in the database using fuzzy matching techniques. The database itself and its associated neural network are collectively referred to as translation memory.


About TRADOS

TRADOS is a Translation Memory system (TM), that is a database that stores all translated sentences (segments) along with their source language equivalents. It gives an immediate and flexible access to the earlier translated sentences at three levels: sentence, sentence part and terminological.

TRADOS is a database of words, sentences and text fragments which are frequently used for translation. It allows to translate a sentence once and then use it whenever it is needed. It is embedded into the interface of many text editors (for example, Microsoft Word), and allows to translate directly in the text editor with saving the formatting; text import and export are not required, the database is created in the background mode.

Multiterm is a specialized database program that is particularly helpful in creating, managing, and presenting your terminology, including terminology databases, address databases, and document management systems.

The detailed information about TRADOS and Multiterm can be found out from their own Help-systems.

Copyright © 1992-2000, TRADOS GmbH.


Direction of translation

Direction of translation in the machine translation systems is the language pair, which specifies from what source language into what target language the chosen text(s) will be machine-translated.

For example, if the source text is English, and you are going to translate it into Russian, select the English-Russian direction.

Source language - is the language FROM which the text is being translated.

Target language - is the language INTO which the text is being translated.


User dictionary

User Dictionary in the machine translation systems is a dictionary which you can create and update yourself. If you want to add new words to the dictionary or modify the existing entries from the General or specialized dictionaries, you can do it in your own user dictionary. The amount of user dictionaries is not limited.

All new and changed entries can be stored ONLY in the user dictionaries!

If you want to use the meanings from your user dictionary during translation, it should be attached and with the highest priority (that means that this dictionary should be placed the first in the list of attached dictionaries).